# metamodel_version: 1.7.0
# version: 2311
@prefix dcat: <http://www.w3.org/ns/dcat#> .
@prefix dct: <http://purl.org/dc/terms/> .
@prefix gx-data: <https://w3id.org/gaia-x/data/> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .

<https://w3id.org/gaia-x/data/:Gaia-XEntity> a sh:NodeShape ;
    sh:closed false ;
    sh:description "Root class for Gaia-X entities." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:targetClass <https://w3id.org/gaia-x/data/:Gaia-XEntity> .

gx-data:DataUsageAgreement a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:description "A main category of the resource. A resource can have multiple themes." ;
            sh:maxCount 1 ;
            sh:order 1 ;
            sh:path dcat:theme ],
        [ sh:description "List of Tags or Keywords (Unicode) for data domains." ;
            sh:maxCount 1 ;
            sh:order 0 ;
            sh:path dcat:keywords ],
        [ sh:description "The nature or genre of the resource." ;
            sh:maxCount 1 ;
            sh:order 2 ;
            sh:path dct:type ] ;
    sh:targetClass gx-data:DataUsageAgreement .


